/*******************************************************************************
 * FoxOnlineStatsWriteDepot generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxOnlineStatsWriteDepot extends ZeOnlineStatsWrite
    native;

function SetConfig(int slotone, int slottwo, int slotthree, int slotfour, int slotfive)
{
    SetIntStat(536875264, 0);
    SetIntStat(536875265, slotone);
    SetIntStat(536875266, slottwo);
    SetIntStat(536875267, slotthree);
    SetIntStat(536875268, slotfour);
    SetIntStat(536875269, slotfive);
    SetIntStat(536875281, 0);
    SetIntStat(536875282, 0);
    SetIntStat(536875283, 0);
    SetIntStat(536875284, 0);
    SetIntStat(536875285, 0);
    SetIntStat(536875297, 0);
    SetIntStat(536875298, 0);
    SetIntStat(536875299, 0);
    SetIntStat(536875300, 0);
    SetIntStat(536875301, 0);
    //return;    
}

function StartedUsing()
{
    IncrementIntStat(536875264);
    //return;    
}

function PurchasedItemAtIndex(int SlotIdx, int cpSpent)
{
    switch(SlotIdx)
    {
        // End:0x42
        case 1:
            IncrementIntStat(536875281);
            IncrementIntStat(536875297, cpSpent);
            // End:0x108
            break;
        // End:0x72
        case 2:
            IncrementIntStat(536875282);
            IncrementIntStat(536875298, cpSpent);
            // End:0x108
            break;
        // End:0xA2
        case 3:
            IncrementIntStat(536875283);
            IncrementIntStat(536875299, cpSpent);
            // End:0x108
            break;
        // End:0xD2
        case 4:
            IncrementIntStat(536875284);
            IncrementIntStat(536875300, cpSpent);
            // End:0x108
            break;
        // End:0x102
        case 5:
            IncrementIntStat(536875285);
            IncrementIntStat(536875301, cpSpent);
            // End:0x108
            break;
        // End:0xFFFF
        default:
            // End:0x108
            break;
    }
    //return;    
}

function DepotHeal(int AmountHealed)
{
    IncrementIntStat(536875302);
    IncrementIntStat(536875303, AmountHealed);
    //return;    
}

function DepotAntidote(int AmountHealed)
{
    IncrementIntStat(536875312);
    IncrementIntStat(536875313, AmountHealed);
    //return;    
}

function DepotAmmoFill()
{
    IncrementIntStat(536875304);
    //return;    
}

function DepotHeavyAmmoFill()
{
    IncrementIntStat(536875305);
    //return;    
}

defaultproperties
{
    Properties=/* Array type was not detected. */
    StatsGroupName=depotstats
    StatNameToStatIdMapping=/* Array type was not detected. */
}